Kerbal Space Program - Bug #11821

Parts disappear upon mirror symmetry.
09/18/2016 06:34 PM - Tricky

Status: Closed Start date: 09/18/2016
Severity: Normal % Done: 100%
Assignee:

Category: Parts

Target version:

Version: 1.1.3 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

So | try to put this rack of batteries | made unto the bottom of a spaceplane fuselage. Symmetry is set to mirror. Every time | do this,
the bottom part of the battery rack is missing on the other side, as shown in the picture. What is going on?

Using a modded installation on 64-bit Windows 10, but no modded parts are used in this craft file.

History

#1 - 09/19/2016 07:30 AM - Tricky

Tricky wrote:

So | try to put this rack of batteries | made unto the bottom of a spaceplane fuselage. Symmetry is set to mirror. Every time | do this, the bottom
part of the battery rack is missing on the other side, as shown in the picture. What is going on?

Using a modded installation on 64-bit Windows 10, but no modded parts are used in this craft file.

| found out another interesting thing about this. Upon attaching, the bottom left actually works fine. But as soon as | use the move tool on the right
side, the bottom of the left disappears. If | use the move tool on the left side, both bottoms stay intact. | effectively found a workaround. Very odd
behaviour still.

#2 - 09/21/2016 11:52 AM - Kerbalnaught

Tricky wrote:

| found out another interesting thing about this. Upon attaching, the bottom left actually works fine. But as soon as | use the move tool on the
right side, the bottom of the left disappears. If | use the move tool on the left side, both bottoms stay intact. | effectively found a workaround. Very
odd behaviour still.

This is caused by using angle snap while moving the parts. Take angle snap off and see if that works.

#3 - 10/24/2016 12:01 PM - sal_vager
- File screenshot11.png added
- Status changed from New to Resolved

- % Done changed from 0 to 100

Looks fixed in 1.2

#4 - 11/03/2016 06:57 AM - JPLRepo

- Status changed from Resolved to Closed

Files

incorrect_mirror_symmetry.jpg 657 KB 09/18/2016 Tricky
Pill Bug.craft 1.2 MB 09/18/2016 Tricky
Batteryrack.craft 96.2 KB 09/18/2016 Tricky
screenshot11.png 1.04 MB 10/24/2016 sal_vager
